import 'package:prompter_rk/src/option.dart';
import 'package:prompter_rk/src/terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  bool askBinary(String prompt) {
    final input = _ask("$prompt (y/n)");
    if (input == "y" || input == "yes") {
      return true;
    } else if (input == "n" || input == "no") {
      return false;
    } else {
      return askBinary(prompt);
    }
  }

  Option askMultiple(String prompt, List<Option> options) {
    final input = _ask(prompt, options);
    try {
      return options[int.parse(input) - 1];
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }

  String _ask(String prompt, [List<Option> options = const []]) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);
    return _terminal.collectInput();
  }
}
