import 'dart:io';

import 'package:prompter_rk/src/option.dart';

class Terminal {

  const Terminal();

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  void print(String prompt) {
    stdout.write(prompt);
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((index, value) {
      stdout.writeln("${index + 1}) ${value.name}");
    });
    stdout.write('Enter a choice\n\n>');
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  String collectInput() {
    return stdin.readLineSync();
  }
}
